require("Script.函数.功能函数")
require("Script.函数.模块函数")
require("Script.函数.任务函数")
require("Script.函数.异界")
require("Script.函数.全局")
require("Script.函数.静态成员")

重新加载("Script.函数.功能函数")
重新加载("Script.函数.模块函数")
重新加载("Script.函数.任务函数")
重新加载("Script.函数.异界")
重新加载("Script.函数.全局")





function L加载配置()
	


	g常规设置.取出未洗地图所在仓库页=L常规配置("常规列表-洗图功能-取出未洗地图所在仓库页")


	g常规设置.仓库页最大读取页数=Ltonumber(L常规配置("常规列表-通用设置-仓库页最大读取页数"))

	g常规设置.公会仓库页最大读取页数=Ltonumber(L常规配置("常规列表-通用设置-公会仓库页最大读取页数"))

	g常规设置.是否开启洗图功能=Ltonumber(L常规配置("常规列表-洗图功能-是否开启洗图功能"))


	L仓库页最大读取页数(g常规设置.仓库页最大读取页数)
	L公会仓库页最大读取页数(g常规设置.公会仓库页最大读取页数)



	gErrOpenNpc= gErrOpenNpc or 0
end




L加载配置()

local 返回一次藏身处=1
local 使用一次Esc=1
L设置步骤(_洗图步骤,0)	
while	To(200)==1		do 
	local 地图Ptr=L地图信息()
	local _缺少地图="缺少地图"
	if	L进入游戏()==0			then --
		L信息("正在进入游戏中....")
		goto Next
	end
	if 使用一次Esc==1		then 
		LEsc()
		使用一次Esc=0
	end
	
	L拾取开关()
	L自动邀请公会()
	if 地图Ptr.位置==0	 then

		D重置状态()
		L重置指定事件计数(_缺少地图)
		g回城优先存仓一次=0

		L返回城镇()

	else 

		if 地图Ptr.位置~=5		then 
			if Fn_读取仓库信息()==0 then
				-- body
				L信息("当前正在读取仓库信息")
				goto Next
			end
			if  Fn_当前是否存在公会仓库()==1 and Fn_读取公会仓库信息()==0 then
				-- body
				L信息("当前正在读取公会仓库信息")
				goto Next
			end
			
			if Fn_地图鉴定(地图Ptr)==1		then 
				L信息("鉴定物品...")
				goto Next
			end
			if g回城优先存仓一次==0 			then --
				if  Fn_处理仅存仓()==1	then 
					L信息("优先存入符合存仓且不想鉴定的物品...")
					goto Next
				end
			end 
			g回城优先存仓一次=1

			-- if  Fn_自动兑换通货()==1			then --
			-- 	L信息("正在进行通货兑换中...")
			-- 	goto Next
			-- end 
		else 
			D重置状态()
		end
		g深渊洗图完成=0
		Fn_开始深渊洗图(1)
		
	end






	--
	L设置探索地图(1)


	--Fn_城镇物品处理()
::Next::

end

